#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		plugin	check_rbl
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check if an server is blacklisted in RBL servers
Name:		nagios-plugin-%{plugin}
Version:	1.3.8
Release:	1
License:	GPL v3
Group:		Networking
Source0:	https://github.com/matteocorti/check_rbl/releases/download/v%{version}/%{plugin}-%{version}.tar.gz
# Source0-md5:	267eac8db2f27aeb1473025d67855dd0
Source1:	%{plugin}.cfg
Source2:	%{plugin}.ini
URL:		https://github.com/matteocorti/check_rbl/wiki
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Data-Validate-Domain
BuildRequires:	perl-Data-Validate-IP
BuildRequires:	perl-Nagios-Plugin >= 0.31
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Readonly
%endif
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check if an server is blacklisted in RBL servers.

%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLVENDORSCRIPT=%{plugindir} \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.ini

%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/check_rbl/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/check_rbl.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes NEWS README INSTALL TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.ini
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_rbl.1*
%changelog
* Wed Jan 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_rbl.git;a=log;h=auto/th/nagios-plugin-check_rbl-1.3.8-1

* Wed Jan 25 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 23f0451
- up to 1.3.8; works now (previous version had broken resolving and reported incorrectly that everything is ok)

* Sun Dec 07 2014 Elan Ruusamäe <glen@delfi.ee> b481f33
- up to 1.3.6

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> ec95435
- up to 1.3.5

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 8c30dbe
- up to 1.3.4

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> e426833
- 1.3.3, parameter validation

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 1fb33db
- up to 1.3.1, disable embedded Perl

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 2c82628
- up to 1.3.0, adds whitelisting support

* Sun Apr 03 2011 Elan Ruusamäe <glen@pld-linux.org> afac954
- cleanups

* Sun Apr 03 2011 Elan Ruusamäe <glen@pld-linux.org> 1953d4f
- GPL version

* Sun Apr 03 2011 Adam Gołębiowski <adamg@pld-linux.org> eddba0c
- updated to 1.2.2

* Thu Apr 15 2010 Elan Ruusamäe <glen@pld-linux.org> 4012ac6
- fix killing of $VERSION; rel 2

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> b9cbc94
- up to 1.2.0

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> a78df07
- mdns submitted too

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> b62c0cc
- perlcritic taught me not to get fooled by lexical scope in foreach (page 108 of PBP)

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 53949b5
- release 5

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 6fdea35
- apply patch after sed

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 16357e6
- try to follow upstream formatting

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 65afeb1
- apply mdns.patch

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> 4f375f1
- add mdns support (parallel DNS lookups instead of forking), performs a lot better
- also adds support of reporting timeouting dns servers, which do not affect check result

* Tue Apr 06 2010 Elan Ruusamäe <glen@pld-linux.org> ea66c79
- report stuff upstream
- while RBL mostly used for SMTP, it's not limited to that

